Change log for argyll package in Ubuntu

140 of 40 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-07-23
Deleted in cosmic-proposed (Reason: moved to release)
argyll (2.0.1+repack-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches.
  * Remove obsolete /etc/hotplug/usb/Argyll.usermap (Closes: #885549).
  * Add more typos to patches/0100_spelling.patch.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * debian/rules:
    - Correct doc directory handling.
    - Remove override_dh_strip, used for debug symbol migration.
  * debian/control:
    - Switch Vcs-* to new location.
  * debian/copyright:
    - Add copyright for numlib/quadprog.*.
    - Use secure copyright format URI.
    - Correct typo.
    - Refresh copyright years.
  * Remove *.postinst, *.postrm and *.preinst. They was used for release
     1.6.3-2 and at oldstable are 1.6.3-4.
  * Remove useless debian/repack.sh.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 15 Jul 2018 22:49:02 +0200
Superseded in cosmic-release on 2018-07-23
Published in bionic-release on 2018-02-08
Deleted in bionic-proposed (Reason: moved to release)
argyll (2.0.0+repack-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Mon, 05 Feb 2018 16:48:36 +0000
Superseded in bionic-proposed on 2018-02-05
argyll (2.0.0+repack-1) unstable; urgency=medium

  * Switch from repack to Files-Excluded.
  * Refresh patches.
  * Change to my new email address.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Remove duplicates Priority fields.
    - Requested versions are lesser as there are in old-stable:
      + Remove dpkg amd dpkg-dev from (Build|Pre)-Depends.
      + Remove versions from Recommend udev.
      + Remove Replaces & Breaks argyll from argyll-ref.
  * debian/rules:
    - Add script to remove executable flag from upstream source.
  * Declare compliance with Debian Policy 4.1.2.0 (No changes needed).
  * Change to secure URI.
    - Homepage in debian/copyright, debian/watch and debian/control.
  * debian/patches/0130_openssl.patch:
    - Switch from SSLv23_client_method to TLS_client_method (Closes: #871427).

 -- Jörg Frings-Fürst <email address hidden>  Fri, 01 Dec 2017 10:35:30 +0100

Available diffs

Superseded in bionic-release on 2018-02-08
Deleted in bionic-proposed on 2018-02-10 (Reason: moved to release)
argyll (1.9.2+repack-2) unstable; urgency=medium

  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.1. (No changes needed).
  * debian/copyright:
    - Add 2017 to debian/*.
  * debian/control:
    - Remove dh-autoreconf.
      + Not longer needed since debhelper compatibility level >= 10.
  * debian/rules:
    - For better handling replace dpkg-parsechangelog with SOURCE_DATE_EPOCH
      from pkg-info.mk.
  * New patch 0130_openssl.patch:
    - Enable all ssl connections since openssl provides only connetions with 
      TLS1.2 or greater (Closes: #871427).
  * Use the automatic debug symbol packages:
    - Remove argyll-dbg section from debian/control.
    - Use --dbgsym-migration at override_dh_strip from debian/rules.
  * Refresh patches:
    - 0100_spelling.patch.

 -- Jörg Frings-Fürst <email address hidden>  Thu, 31 Aug 2017 06:49:06 +0200

Available diffs

Superseded in bionic-release on 2017-11-05
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
argyll (1.9.2+repack-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change VCS-Browser to secure URI.
  * debian/copyright:
    - Add year 2016 for upstream.
  * debian/rules:
    - Make the build reproducible (Closes: #835265).
      (Thanks to Chris Lamb <email address hidden>)
    - Remove License4.txt from argyll-doc.
  * debian/watch:
    - Bump Version to 4 (no changes required).
  * Enable hardening:
    - Refresh debian/patches/0001_jam.patch.
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS at debian/rules.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 23 Oct 2016 03:37:00 +0200
Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
argyll (1.8.3+repack-2build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Fri, 22 Apr 2016 23:57:41 +0000
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2016-01-23
Deleted in xenial-proposed (Reason: moved to release)
argyll (1.8.3+repack-2) unstable; urgency=medium

  * debian/copyright: Add 2016.
  * debian/control:
    - Transition libpng: Change Build-Depends from libpng16-dev to libpng-dev
      (Closes: #810178).
    - Transition libusb: Change Build-Depends from libusb-dev to 
      libusb-1.0-0-dev (Closes: #810398).
    - Set priority of argyll-ref to extra.
  * Rename patches.
  * Refresh debian/patches/0100_spelling.patch.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 17 Jan 2016 18:59:21 +0100

Available diffs

Superseded in xenial-release on 2016-01-23
Deleted in xenial-proposed on 2016-01-24 (Reason: moved to release)
argyll (1.8.3+repack-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move download and repack from debian/rules to uscan:
    - Add debian debian/repack.sh to debian/watch.
    - New debian/repack.sh.
    - Remove get-orig-source from debian/rules.
  * debian/rules:
    - Remove tests for the gcc-5 transition.
  * Rename debian/missing-sources/x3dom.debug.js to x3dom.js.

 -- Jörg Frings-Fürst <email address hidden>  Fri, 06 Nov 2015 09:03:08 +0100

Available diffs

Superseded in xenial-release on 2015-11-07
Deleted in xenial-proposed on 2015-11-09 (Reason: moved to release)
argyll (1.8.2+repack-1) unstable; urgency=medium

  * New upstream release.
  * Add x3dom.debug.js to debian/missing-sources.
  * debian/control:
    - For use of the system library instead of the Argyll library
      add libssl-dev to Build-Depends
  * debian/patches/100_spelling.patch:
    - Add some more typos.

 -- Jörg Frings-Fürst <email address hidden>  Wed, 30 Sep 2015 16:03:54 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
argyll (1.7.0+repack-4) unstable; urgency=medium

  * debian/rules:
    - Add --utc to the command date for CRDATE to make the results
      reproducible over different timezones.
  * New debian/patches/30_gcc5.patch:
    - Add gcc-5 support (Closes: #777779).
      + Thanks to James Cowgill <email address hidden>.
  * Re-enable and refresh debian/patches/20_hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <email address hidden>  Sun, 05 Jul 2015 12:30:03 +0200

Available diffs

Superseded in wily-release on 2015-07-12
Deleted in wily-proposed on 2015-07-13 (Reason: moved to release)
argyll (1.7.0+repack-3) unstable; urgency=medium

  * debian/watch:
    - change opts to support for "+repack".
  * debian/patches/15_jam.patch:
    - Add support for mips64el (Closes: #788447).
  * debian/control:
    - Correct some priorities.
    - Remove package icc-utils because last version
      in stable is greater then 1.6.3-1.
  * Remove useless debian/argyll.lintian-overrides.

 -- Jörg Frings-Fürst <email address hidden>  Fri, 12 Jun 2015 12:13:59 +0200

Available diffs

Superseded in wily-release on 2015-06-14
Deleted in wily-proposed on 2015-06-15 (Reason: moved to release)
argyll (1.7.0+repack-2) unstable; urgency=medium

  * debian/patches/15_jam.patch:
    - Rewrite rules to find libraries on all architectures.
  * debian/control:
    - Add zlib1g-dev to Build-Depends.

 -- Jörg Frings-Fürst <email address hidden>  Mon, 04 May 2015 10:15:34 +0200

Available diffs

Superseded in wily-release on 2015-05-06
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
argyll (1.6.3-4) unstable; urgency=medium


  * debian/control:
    - On package argyll replace the wrong Replaces & Conflicts of argyll-bin
      with the right Breaks & Replaces to icc-utils (<< 1.6.3-1).
      (Closes: #767837)

 -- Jörg Frings-Fürst <email address hidden>  Tue, 04 Nov 2014 07:59:20 +0100

Available diffs

Superseded in vivid-release on 2014-11-06
Deleted in vivid-proposed on 2014-11-07 (Reason: moved to release)
argyll (1.6.3-3) unstable; urgency=medium


  * debian/control:
    - Replace Architecture: any with linux-any to prevent KFreeBSD-* and 
      hurd-i386 from build during unusable usb system (Closes: #762773).

 -- Jörg Frings-Fürst <email address hidden>  Sun, 05 Oct 2014 19:31:16 +0200

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
argyll (1.5.1-8) unstable; urgency=medium


  * QA upload.
  * Add a symbols file for libicc2 and libimdi0.

 -- Iain Lane <email address hidden>  Mon, 09 Jun 2014 12:52:11 +0100

Available diffs

Superseded in utopic-release on 2014-06-09
Deleted in utopic-proposed on 2014-06-11 (Reason: moved to release)
argyll (1.5.1-7) unstable; urgency=medium


  * QA upload.
  * debian/control: Bump udev recommended version to >= 196

 -- Laurent Bigonville <email address hidden>  Sun, 04 May 2014 22:30:57 +0200
Superseded in utopic-release on 2014-05-09
Published in trusty-release on 2014-02-12
Deleted in trusty-proposed (Reason: moved to release)
argyll (1.5.1-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1275572) Remaining changes:
    - debian/control:
      + Build-depend on libtiff-dev rather than libtiff4-dev.
    - debian/control, debian/patches/06_fix_udev_rule.patch:
      + Fix udev rules to actually work; ENV{ACL_MANAGE} has
        stopped working ages ago, and with logind it's now the
        "uaccess" tag. Dropping also consolekit from Recommends.
    - debian/patches/drop-usb-db.patch:
      + Use hwdb builtin, instead of the obsolete usb-db
        in the udev rules.
  * debian/patches/05_ftbfs-underlinkage.diff:
    - Dropped change, no needed anymore.
  * Refresh the patches.
 -- Artur Rona <email address hidden>   Wed, 12 Feb 2014 00:35:39 +0100

Available diffs

Superseded in trusty-release on 2014-02-12
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
argyll (1.4.0-8ubuntu5) saucy; urgency=low

  * Use hwdb builtin, instead of the obsolete usb-db in the udev
    rules. (LP: #1200185)
 -- Dmitrijs Ledkovs <email address hidden>   Thu, 29 Aug 2013 22:55:30 +0100

Available diffs

Superseded in saucy-release on 2013-08-30
Deleted in saucy-proposed on 2013-08-31 (Reason: moved to release)
argyll (1.4.0-8ubuntu4) saucy; urgency=low

  * Following the previous upload, drop obsolete consolekit Recommends.
 -- Martin Pitt <email address hidden>   Thu, 06 Jun 2013 05:55:07 +0200

Available diffs

Superseded in saucy-release on 2013-06-06
Deleted in saucy-proposed on 2013-06-07 (Reason: moved to release)
argyll (1.4.0-8ubuntu3) saucy; urgency=low

  * Add 06_fix_udev_rule.patch: Fix udev rules to actually work;
    ENV{ACL_MANAGE} has stopped working ages ago, and with logind it's now the
    "uaccess" tag.
 -- Martin Pitt <email address hidden>   Mon, 29 Apr 2013 16:55:34 -0700

Available diffs

Superseded in saucy-release on 2013-04-30
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
argyll (1.4.0-8ubuntu2) raring; urgency=low

  * Added missing jpeg lib to link, fixing FTBFS.
 -- Daniel T Chen <email address hidden>   Thu, 04 Apr 2013 22:20:20 -0400

Available diffs

Superseded in raring-release on 2013-04-05
Deleted in raring-proposed on 2013-04-06 (Reason: moved to release)
argyll (1.4.0-8ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev

Available diffs

Superseded in raring-release on 2012-11-26
Obsolete in quantal-release on 2015-04-24
argyll (1.4.0-7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

Available diffs

Superseded in quantal-release on 2012-09-12
argyll (1.4.0-4ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
 -- Colin Watson <email address hidden>   Tue, 04 Sep 2012 11:18:14 +0100
Superseded in quantal-release on 2012-09-04
argyll (1.4.0-4) unstable; urgency=low


  * Should Build-Depends on libusb-dev (Closes: #670329).

 -- Christian Marillat <email address hidden>  Wed, 25 Apr 2012 07:46:07 +0200
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
argyll (1.3.3-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.examples,
    debian/README.Debian, debian/local/configure.ac, debian/local/Makefile.am:
    Reverted the merge of the argyll and libicc2 source packages. Only libicc2
    is really needed for Oneiric's new color management stack. Argyll is not
    absolutely needed and its upstream source is far from suitable for use in
    Linux distributions. It uses the jam build system which is unmaintained for
    years and it ships patched derivatives of system libraries (libusb). For
    calibration instrument support it must be decided between one of two
    solution, either a general improvement of Argyll's architecture or moving
    of calibration hardware drivers into colord. This cannot be decided any
    more in Oneiric and needs to get worked out with upstream.
  * debian/rules: Removed /usr/bin/icclu and /usr/bin/iccdump as these are
    already in the libicc2 package.
  * debian/control: Removed conflict with libicc as we have removed the
    conflicting files.
 -- Till Kamppeter <email address hidden>   Wed, 10 Aug 2011 06:34:41 +0200

Available diffs

Superseded in oneiric-release on 2011-08-10
argyll (1.3.3-0ubuntu3) oneiric; urgency=low

  * debian/rules: Remove /usr/bin/License.txt
  * debian/libicc-dev.install: Do not install *.la files.
  * debian/libicc2.symbols: Provise symbols file for the shared library.
 -- Till Kamppeter <email address hidden>   Wed, 10 Aug 2011 00:43:41 +0200

Available diffs

Superseded in oneiric-release on 2011-08-09
argyll (1.3.3-0ubuntu2) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.preinst,
    debian/argyll.postrm, debian/argyll.examples, debian/README.Debian,
    debian/README.Spyder2, debian/local/configure.ac, debian/local/Makefile.am,
    debian/local/firmware-package-builder: Merged the unsplitting of the
    Debian package with libicc2 from 1.2.0-0 in Debian experimental, the use
    of the original upstream Jam build system from Pascal de Bruijn's PPA,
    the simple automake/autoconf build system from the former standalone
    libicc2, and the quilt patch system from the recent Ubuntu Argyll
    packages into one new Ubuntu package. Binary package versioning is done
    with the method introduced by the unsplitting in Debian experimental. In
    addition, now everything which is not part of the upstream source is in
    the debian/ directory.
 -- Till Kamppeter <email address hidden>   Sat, 06 Aug 2011 02:14:41 +0200

Available diffs

Superseded in oneiric-release on 2011-08-06
argyll (1.3.3-0ubuntu1) oneiric; urgency=low

  * Updated Argyll by using the package from Pascal de Bruijn's PPA
    (LP: #782584).
  * argyll-correct-link-command-lines.patch: Correct the linker command lines
    to have the "-l..." arguments for linking with the system's libraries at
    the end. From Oneiric on this is needed.

Available diffs

Superseded in oneiric-release on 2011-08-05
argyll (1.1.1-2) unstable; urgency=medium

  * QA upload.
  * Add ../libargyll.la to LDADD (Closes: #615692).
  * Don't ship .la files (Closes: #621142).
 -- Angel Abad <email address hidden>   Fri,  17 Jun 2011 15:39:55 +0000

Available diffs

Superseded in oneiric-release on 2011-06-17
Obsolete in natty-release on 2013-06-04
argyll (1.1.1-1ubuntu1) natty; urgency=low

  * {target,link}/Makefile.am: add necessary library to fix FTBFS.
 -- Ilya Barygin <email address hidden>   Sat, 01 Jan 2011 18:48:44 +0000

Available diffs

Superseded in natty-release on 2011-01-01
Obsolete in maverick-release on 2013-03-05
argyll (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Switched dependency on policykit-1 to a more correct recommendation on
    consolekit + recent udev.
  * Updated copyright file (doc is now GFDL-1.3).
  * Bumped Standards-Version to 3.8.4 (no changes required).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:12:59 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
argyll (1.1.0-5) unstable; urgency=low

  * Bumped version build-dependency on libicc-dev to prevent segmentation
    fault.

Available diffs

Superseded in lucid-release on 2010-02-08
argyll (1.1.0~rc4-1) unstable; urgency=low

  * New upstream pre-release.
  * Ship all doc files with a wildcard rule, rather than a fixed (and
    outdated) set.

Available diffs

Superseded in lucid-release on 2010-01-18
argyll (1.1.0~rc2-1) unstable; urgency=low

  * New upstream pre-release.
  * Updated location of Bazaar branches in control file.
  * The Debian-specific branch now feeds from the "midstream" branch
    rather than the "upstream-releases" branch, to ease collaboration with
    other distributions.  This shouldn't make any difference on the
    package contents.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  21 Dec 2009 10:43:09 +0000

Available diffs

Superseded in lucid-release on 2009-12-21
argyll (1.1.0~rc1+dfsg-1) unstable; urgency=low

  * Removed non-free IETF RFC/I-D from source package, thanks to Simon
    Josefsson (closes: #555377).

Available diffs

Superseded in lucid-release on 2009-11-30
argyll (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  04 Nov 2009 01:45:54 +0000

Available diffs

Superseded in lucid-release on 2009-11-04
Obsolete in karmic-release on 2013-03-04
argyll (1.0.3+dfsg1-3) unstable; urgency=low

  * libicc is now a separate source+binary package, so argyll now links
    against it.
  * Since that new libicc is a proper new upstream snapshot, the problems
    introduced with the local patches should be fixed (closes: #524478).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Jun 2009 05:47:18 +0100

Available diffs

Superseded in karmic-release on 2009-06-04
argyll (1.0.3+dfsg1-2) unstable; urgency=low

  * Adapted debian/watch file to match version mangling.
  * Updated autotools build system to dynamically link against the
    internal libraries and provide a libicc.so for dynamic linking.
  * Also ship the corresponding header files.
  * Not splitting libicc into its own binary package just yet though, I
    want to get more testing of the dynamic linking first.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 May 2009 09:19:50 +0100

Available diffs

Superseded in karmic-release on 2009-05-15
argyll (1.0.3+dfsg1-1) unstable; urgency=low

  * argyll-firmware-spyder2 is now generated as section non-free/graphics
    rather than just graphics.
  * Removed non-free RFC from source package (closes: #524972).

140 of 40 results